Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Class CalendarBean

    java.lang.Object
      com.beasys.commerce.axiom.util.CalendarBean

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CalendarBean

extends Object
implements Serializable

See Also
  Serialized Form

Field Summary
`static String` | `DATE_FORMAT` Deprecated See BEA Commerce product offering

Constructor Summary
`CalendarBean()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `addMonthDisplayCalendar(int num)` Deprecated See BEA Commerce product offering
`void` | `addYearDisplayCalendar(int num)` Deprecated See BEA Commerce product offering
`int` | `getCompleteWeeksInMonth()` Deprecated See BEA Commerce product offering
`int` | `getCurrentDate()` Deprecated See BEA Commerce product offering
`String` | `getCurrentMonth()` Deprecated See BEA Commerce product offering
`int` | `getCurrentMonthNumber()` Deprecated See BEA Commerce product offering
`int` | `getCurrentYear()` Deprecated See BEA Commerce product offering
`String` | `getCurrentZoneId()` Deprecated See BEA Commerce product offering
`long` | `getDateSeconds(String theYear, String theMonth, String theDate, String theHour, String theMinute, String aTimezone)` Deprecated See BEA Commerce product offering
`String` | `getDayOfWeek(int dayNum)` Deprecated See BEA Commerce product offering
`int` | `getDaysInFirstWeek()` Deprecated See BEA Commerce product offering
`int` | `getDaysInLastWeek()` Deprecated See BEA Commerce product offering
`int` | `getDaysInMonth()` Deprecated See BEA Commerce product offering
`int` | `getDisplayDate()` Deprecated See BEA Commerce product offering
`String` | `getDisplayMonth()` Deprecated See BEA Commerce product offering
`int` | `getDisplayMonthNumber()` Deprecated See BEA Commerce product offering
`int` | `getDisplayYear()` Deprecated See BEA Commerce product offering
`int` | `getStartDayOfWeekInMonth()` Deprecated See BEA Commerce product offering
`String` | `getTodaysDate()` Deprecated See BEA Commerce product offering
`boolean` | `sameDay(int year, int month, int day)` Deprecated See BEA Commerce product offering
`String` | `simpleFormatTest(String simpleDateFormat)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

  Deprecated See BEA Commerce product offering
  The formatting string used to represent a date.

  See Also
    Constants Summary

Constructor Detail

### CalendarBean

    public CalendarBean()

  Deprecated See BEA Commerce product offering

Method Detail

### getCurrentMonth

    public String getCurrentMonth()

  Deprecated See BEA Commerce product offering

  Retrieve the month for the current date.

  Returns
    String month name

### getCurrentMonthNumber

    public int getCurrentMonthNumber()

  Deprecated See BEA Commerce product offering

  Retrieve the month number for the current date.

  Returns
    integer month number returned from Calendar class

### getCurrentDate

    public int getCurrentDate()

  Deprecated See BEA Commerce product offering

  Retrieve the day for the current date.

  Returns
    integer the day of the month for the current date

### getCurrentYear

    public int getCurrentYear()

  Deprecated See BEA Commerce product offering

  Retrieve the year for the current date.

  Returns
    integer the year for the current date

### getDisplayMonth

    public String getDisplayMonth()

  Deprecated See BEA Commerce product offering

  Retrieve the month for the current calendar displayed.

  Returns
    String month name

### getDisplayMonthNumber

    public int getDisplayMonthNumber()

  Deprecated See BEA Commerce product offering

  Retrieve the month number for the current calendar displayed.

  Returns
    integer month number from Calendar

### getDisplayDate

    public int getDisplayDate()

  Deprecated See BEA Commerce product offering

  Retrieve the day of the month for the current calendar displayed.

  Returns
    integer day of month

### getDisplayYear

    public int getDisplayYear()

  Deprecated See BEA Commerce product offering

  Retrieve the year for the current calendar displayed.

  Returns
    integer year

### getDaysInMonth

    public int getDaysInMonth()

  Deprecated See BEA Commerce product offering

  Retrieve the number of days for the month of the current calendar displayed.

  Returns
    integer days in month

### getCompleteWeeksInMonth

    public int getCompleteWeeksInMonth()

  Deprecated See BEA Commerce product offering

  Retrieve the number of complete weeks for the month of the current calendar displayed.

  Returns
    integer days in month

### getDaysInLastWeek

    public int getDaysInLastWeek()

  Deprecated See BEA Commerce product offering

  Retrieve the number of the days in the last week for the month of the current calendar displayed.

  Returns
    integer days in last week

### getDaysInFirstWeek

    public int getDaysInFirstWeek()

  Deprecated See BEA Commerce product offering

  Retrieve the number of the days in the first week for the month of the current calendar displayed.

  Returns
    integer days in first week

### getStartDayOfWeekInMonth

    public int getStartDayOfWeekInMonth()

  Deprecated See BEA Commerce product offering

  Retrieve the day the month starts on for the month of the current calendar displayed.

  Returns
    integer days in last week

### getDayOfWeek

    public String getDayOfWeek(int dayNum)

  Deprecated See BEA Commerce product offering

  Retrieve the day of the week.

  Returns
    string day of week (i.e. "Mon")

### addMonthDisplayCalendar

    public void addMonthDisplayCalendar(int num)

  Deprecated See BEA Commerce product offering

  Change the month which is displayed.

  Parameters
    `integer` - number by which to increment or decrement the month.

### addYearDisplayCalendar

    public void addYearDisplayCalendar(int num)

  Deprecated See BEA Commerce product offering

  Change the year which is displayed.

  Parameters
    `integer` - number by which to increment or decrement the year.

### getTodaysDate

    public String getTodaysDate()

  Deprecated See BEA Commerce product offering

### getCurrentZoneId

    public String getCurrentZoneId()

  Deprecated See BEA Commerce product offering

### getDateSeconds

    public long getDateSeconds(String theYear,
                               String theMonth,
                               String theDate,
                               String theHour,
                               String theMinute,
                               String aTimezone)

  Deprecated See BEA Commerce product offering

### simpleFormatTest

    public String simpleFormatTest(String simpleDateFormat)

  Deprecated See BEA Commerce product offering

### sameDay

    public boolean sameDay(int year,
                           int month,
                           int day)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved